如何在Xcode 6.1中安装iOS 7.0和iOS 8.0模拟器?

我想在iOS 7.0和iOS 8.0上testing我的应用程序。 我将我的iPhone5升级到iOS 8.1。 现在在这些操作系统中testing我的应用程序的唯一方法是使用模拟器。 但是将我的Xcode升级到6.1之后。 我无法看到iOS 7.0和8.0模拟器。 我需要在Xcode 6.1中安装这些模拟器。 有没有办法在Xcode 6.1中安装这些模拟器?

注意:

1)我复制粘贴这些模拟器SDK从旧的Xcode到Xcode 6.1的内容,但它没有工作。

2)我尝试从Xcode>首选项>下载安装这些,但这些不显示在列表中。

3)我从Xcode的窗口>设备中删除所有设备,然后重新启动Xcode并重新添加它们,但是这些模拟器不显示。

One Solution collect form web for “如何在Xcode 6.1中安装iOS 7.0和iOS 8.0模拟器?”

Xcode 6.0.x和6.1.x仅支持iOS 7.0和更高版本的模拟器。 Xcode 6.2及更高版本仅支持iOS 7.1及更高版本的模拟器。

较旧的模拟器运行时间与新的CoreSimulator架构不兼容。 如果你想运行iOS 6.x模拟器,你需要安装Xcode 5.1.x。

iOS 7.0模拟器无法在OSX Yosemite上运行,因此如果您想运行iOS 7.0模拟器,则需要在OS X Mavericks上运行。

iOS 8.0模拟器不可用作DLC。 它仅在Xcode 6.0中受支持。 如果你真的想用更新版本的Xcode,你可以尝试从Xcode 6.0拷贝iPhoenSimulator8.0.sdk和iOS 8.0.simruntime到Xcode 6.1,但是如前所述,这是不支持的。

看到:

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/Library/CoreSimulator/Profiles/Runtimes/iOS 8.0.simruntime

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator8.0.sdk

  • BSXPCMessage消息收到错误:连接中断
  • 如何在Xcode 6中创buildIPA?
  • 不合格的设备部分出现在Xcode 6.xx中
  • Xcode只能重构C和Objective-C的代码。 如何重命名在Xcode 6中的Swift类名?
  • 如何创build一个固定大小的对象数组
  • Xcode 6 iPhone模拟器应用程序支持位置
  • 赛段之间有什么区别:“显示”,“显示细节”,“模态呈现”,“呈现为popover”?
  • 找不到合适的loggingvalidation您的捆绑包标识符是否正确
  • 设备屏幕截图在Xcode 6中的位置
  • Xcode6错误:“找不到适用于应用程序的configurationconfiguration文件”
  • 如何正确地设置imageView中像imageContacts在Swift中?